Summary: Snort based Firewall
Name: hogwash
Version: 0.2.0
Release: OSSec1
Copyright: GPL
Group: Applications/Internet
Source0: http://www.hogwash.org/Files/%{name}-%{version}.tar.gz
Source2: hogwash.rc
Url: http://www.hogwash.org
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr
Packager: Ralf Spenneberg <ralf@spenneberg.de> - OpenSource Security

%description
Hogwash is a snort based Firewall. It does not need an IP stack in the kernel.

%prep
%setup -q  -c

%build
cd devel-0.2
#CFLAGS="$RPM_OPT_FLAGS" \
./setup
make

%install
cd devel-0.2
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/log/hogwash
mkdir -p $RPM_BUILD_ROOT/sbin
cp hogwash $RPM_BUILD_ROOT/sbin

mkdir -p $RPM_BUILD_ROOT/etc/hogwash
cp scontrol.conf $RPM_BUILD_ROOT/etc/hogwash
cp rules.2 $RPM_BUILD_ROOT/etc/hogwash
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 $RPM_SOURCE_DIR/hogwash.rc $RPM_BUILD_ROOT/etc/rc.d/init.d/hogwash

mv  COPYRIGHT README  stock.rules insane.rules ..
%clean
if [ "$RPM_BUILD_ROOT" = "/var/tmp/hogwash-root" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi
						


%files
%defattr(-,root,root)
%doc COPYRIGHT README insane.rules stock.rules
%attr(755,root,root)       /sbin/hogwash
%attr(640,root,wheel) %config /etc/hogwash/scontrol.conf
%attr(640,root,wheel) %config /etc/hogwash/rules.2
%attr(640,root,wheel) %config /etc/rc.d/init.d/hogwash

%changelog
* Sun Apr 07 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Created hogwash rpm

